Bug 1338845 - Extend zfs-fuse to arm
Summary: Extend zfs-fuse to arm
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: zfs-fuse
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 996728
Blocks: 1256978
TreeView+ depends on / blocked
 
Reported: 2016-05-23 14:02 UTC by Jan Chaloupka
Modified: 2017-01-23 18:14 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-23 18:14:15 UTC
Type: Bug


Attachments (Terms of Use)

Description Jan Chaloupka 2016-05-23 14:02:33 UTC
Hi,

would it be possible to extend supported architectures with arm? cadvisor depends on /usr/bin/zfs binary. Or is there an equivalent for the binary on arm?

Regards
Jan

Comment 1 Gwyn Ciesla 2016-05-23 20:28:06 UTC
Sadly zfs-fuse is FTBFS on ARM (see https://bugzilla.redhat.com/show_bug.cgi?id=996728).

Upstream is gone, and I no longer have a working ARM machine.  If you can work out porting the internal atomic ops library and can verify that it works I'm willing to apply a patch and enable this for arch.

Comment 2 Jan Kurik 2016-07-26 04:34:12 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 3 Gordan Bobic 2017-01-22 22:20:41 UTC
You could pull a much more up to date version from my github:
https://github.com/gordan-bobic/zfs-fuse
which includes support for pool version 28, not to mention patches that actually make it work on ARM.

While you're at it, you may also be interested in dracut module for it, which enables the use of zfs-fuse for the rootfs:
https://github.com/gordan-bobic/zfs-fuse-dracut

Comment 4 Gwyn Ciesla 2017-01-23 17:04:20 UTC
Excellent, thank you!  I'll get on this.


Note You need to log in before you can comment on or make changes to this bug.